- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_soap_fault_value.h File Reference

axiom_soap_fault_value More...

`#include <axutil_env.h>`
`#include <axiom_soap_fault.h>`
`#include <axiom_soap_fault_sub_code.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_soap_fault_value | axiom_soap_fault_value_t
## Functions
AXIS2_EXTERN axiom_soap_fault_value_t * | axiom_soap_fault_value_create_with_subcode (const axutil_env_t *env, axiom_soap_fault_sub_code_t *parent)
AXIS2_EXTERN axiom_soap_fault_value_t * | axiom_soap_fault_value_create_with_code (const axutil_env_t *env, axiom_soap_fault_code_t *parent)
AXIS2_EXTERN void | axiom_soap_fault_value_free (axiom_soap_fault_value_t *fault_value, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_soap_fault_value_get_text (axiom_soap_fault_value_t *fault_value, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_value_get_base_node (axiom_soap_fault_value_t *fault_value, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_value_set_text (axiom_soap_fault_value_t *fault_value, const axutil_env_t *env, axis2_char_t *text)

## Detailed Description

axiom_soap_fault_value